Amplify Version History

4 versions

Be careful with old versions!

These versions are displayed for reference and testing purposes. You should always use the latest version of an add-on.

Version 3.0.0.1-signed.1-signed 16.2 KiB Works with Firefox 3.0 and later

Version 2.0.1 12.0 KiB Works with Firefox 3.0 - 3.6.*

Version 2.0.0 12.0 KiB Works with Firefox 3.5 - 3.6.*

Version 1.0.0 83.0 KiB Works with Firefox 2.0 - 3.5.*